Docs
Referência

Deploy por imagem, de um commit ou refazer o deploy atual

Apps por imagem: faz pull de `image` (ou da imagem da app). Apps do GitHub: deploy de `commitSha` (ou do último commit da branch). Apps por upload: refaz o deploy com a imagem já construída, aplicando variáveis e tamanho novos.

POST
/v1/workspaces/{workspaceId}/apps/{appId}/deployments

Apps por imagem: faz pull de image (ou da imagem da app). Apps do GitHub: deploy de commitSha (ou do último commit da branch). Apps por upload: refaz o deploy com a imagem já construída, aplicando variáveis e tamanho novos.

Authorization

hydro_session<token>

In: cookie

Path Parameters

appId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/workspaces/{workspaceId}/apps/string/deployments" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "appId": "28c365d5-df94-4a54-8217-3ce51d068868",  "number": -9007199254740991,  "source": "upload",  "status": "queued",  "image": [    "string"  ],  "imageDigest": [    "string"  ],  "rollbackOf": "65f4f6e9-31b7-43b4-9674-5c6963c953c2",  "commit": {    "sha": "string",    "message": "string",    "author": "string",    "branch": "string",    "url": "string"  },  "failureReason": [    "string"  ],  "imageAvailable": true,  "triggeredBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string"  },  "createdAt": "2019-08-24T14:15:22Z",  "startedAt": "2019-08-24T14:15:22Z",  "finishedAt": "2019-08-24T14:15:22Z"}